import { ApiCall } from "tsrpc";
import { PayFun } from '../../public/pay';
import { ReqGetList, ResGetList } from "../../shared/protocols/pay/PtlGetList";

export default async function (call: ApiCall<ReqGetList, ResGetList>) {

    call.succ({
        list: await PayFun.getPayLogs(call.uid)
    });
}